Loading...
Searching...
No Matches
byte_vector.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/range.hpp>`
`#include <algorithm>`
`#include <cstddef>`
`#include <cstdint>`
`#include <string>`
`#include <vector>`
Include dependency graph for byte_vector.hpp:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Typedefs

typedef std::vector< uint8_t > | uhd::byte_vector_t
| Byte vector used for I2C data passing and EEPROM parsing.

## Functions

template<typename RangeSrc, typename RangeDst>
UHD_INLINE void | uhd::byte_copy (const RangeSrc &src, RangeDst &dst)
UHD_API std::string | uhd::bytes_to_string (const byte_vector_t &bytes)
| Create a string from a byte vector, terminate when invalid ASCII encountered.
UHD_API byte_vector_t | uhd::string_to_bytes (const std::string &str, size_t max_length)
| Create a byte vector from a string, end at null terminator or max length.